###################################################################
#
# This stage is for drupal-5
#
###################################################################
export LANG=C
export PATH=/bin:/usr/bin:/sbin:/usr/sbin

if [ -r /tmp/SeTT_PX ]; then
  ROOT="`cat /tmp/SeTT_PX`"
fi

APACI_DIR=$ROOT/opt/httpd
PG_DIR=$ROOT/opt/pgsql
WWW=$ROOT/home/www

if [ -f $APACI_DIR/htdocs/drupal5 ]; then
  mv $APACI_DIR/htdocs/drupal5 $APACI_DIR/htdocs/drupal5.bak
fi
(cd $APACI_DIR/htdocs; ln -sf drupal-5.2 drupal5 )


mv $APACI_DIR/htdocs/drupal5/sites/default/settings.php \
   $APACI_DIR/htdocs/drupal5/sites/default/settings.php.bak
FQDN=`hostname -f`
if [ ".$FQDN" = "." ]; then
  FQDN=localhost
fi
sed -e "s%^\$db_url = 'mysql://username:password@localhost/databasename';%\$db_url = 'pgsql://www:pass@localhost/drupal5';%" \
    -e "s%^\$base_url = 'http://localhost';%\$base_url = 'http://$FQDN/drupal5';%" \
   $APACI_DIR/htdocs/drupal5/sites/default/settings.php.bak \
 > $APACI_DIR/htdocs/drupal5/sites/default/settings.php

/bin/su - postgres -c "sh $APACI_DIR/htdocs/drupal5/custom/create_drupal5_db"

#cat $APACI_DIR/htdocs/drupal5/custom/_htaccess.clean_url >>  $APACI_DIR/htdocs/drupal5/.htaccess

if [ ! -f $WWW/.postgresql/postgresql.crt ]; then
 mkdir -p $WWW/.postgresql
 cp $PG_DIR/data/server.crt $WWW/.postgresql/postgresql.crt
 cp $PG_DIR/data/server.key $WWW/.postgresql/postgresql.key
 chown -R www.apache  $WWW/.postgresql
fi

mkdir -p $APACI_DIR/htdocs/drupal5/files
chown -R www.apache $APACI_DIR/htdocs/drupal5/files $APACI_DIR/htdocs/drupal/themes
chgrp -R apache $APACI_DIR/htdocs/drupal5

if ! fgrep "drupal5/cron.php" $ROOT/var/spool/cron/crontabs/www 1>/dev/null 2>&1; then
  echo "0  *  *  *  *	wget -O - -q http://$FQDN/drupal5/cron.php" >> $ROOT/var/spool/cron/crontabs/www
fi

# ( DONOT CHANGE THE NEXT ONE LINE )
# Add DRUPAL-5 Entry to Apache document index.
if [ -f $APACI_DIR/htdocs/contents.list ]; then
  if ! fgrep "DRUPAL-5.2" $APACI_DIR/htdocs/contents.list 1> /dev/null 2>&1; then

    cat >> $APACI_DIR/htdocs/contents.list <<EOL

    <P ALIGN="CENTER"> DRUPAL-5.2
    ( <A
	HREF="http://www.drupal.net/"
      >http://www.drupal.net/</A>
    )<BR>
     (Share/Publish Informations or Discussions over the Web)<BR>
     <A
      HREF="/drupal5/"
     >execution</A>
    </P>
EOL
  fi
else
  awk '/Add DRUPAL-5 Entry/,/#EOS2/' $ROOT/install/doinst.sh >> /tmp/add_apache_test.sh
fi
#EOS2
